package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class SecurityLogin.
 * @see sicura.entities.SecurityLogin
 * @author Hibernate Tools
 */
@Stateless
public class SecurityLoginHome {

	private static final Log log = LogFactory.getLog(SecurityLoginHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(SecurityLogin transientInstance) {
		log.debug("persisting SecurityLogin instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(SecurityLogin persistentInstance) {
		log.debug("removing SecurityLogin instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public SecurityLogin merge(SecurityLogin detachedInstance) {
		log.debug("merging SecurityLogin instance");
		try {
			SecurityLogin result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public SecurityLogin findById(String id) {
		log.debug("getting SecurityLogin instance with id: " + id);
		try {
			SecurityLogin instance = entityManager.find(SecurityLogin.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
